Product Search

    SEARCH NOW FOR ALL YOUR NOVOTECHNIK SOLUTIONS

    Radwell is here to supply you with all your plant floor needs.

    Radwell is not an authorised distributor, reseller or representative of the products featured on this website. All product names, trademarks, brands and logos used on this site are the property of their respective owners. The depiction, description or sale of products featuring these names, trademarks, brands and logos is for identification purposes only and is not intended to indicate any affiliation with or authorisation by any rights holder.

    Filter Results
    Results 451-500 of 590.
    NOVOTECHNIK P6501 A102

    NOVOTECHNIK

    P6501 A102

    008201, ROTARY SHAFT-TYPE POTENTIOMETERS,
    €288.29 Price with VAT: €343.07 Buy Surplus As Low As €172.98 Price with VAT: €205.84
    €172.98 Price with VAT: €205.84
    NOVOTECHNIK 008203

    NOVOTECHNIK

    008203

    POTENTIOMETER
    €287.45 Price with VAT: €342.06 Buy Surplus As Low As €172.64 Price with VAT: €205.44
    €172.64 Price with VAT: €205.44
    Repair Yours Contact Us
    NOVOTECHNIK RFC4851-636-122-501

    NOVOTECHNIK

    RFC4851-636-122-501

    ROTARY POTENTIOMETER
    €258.62 Price with VAT: €307.76 Buy Surplus As Low As €129.76 Price with VAT: €154.41
    €129.76 Price with VAT: €154.41
    NOVOTECHNIK TRS25

    NOVOTECHNIK

    TRS25

    POTENTIOMETER, POSITION TRANSDUCER, SHORT STROKE, SPRING-LOADED
    ✓ IN STOCK!
    €568.49 Price with VAT: €676.51 Buy Surplus As Low As €169.59 Price with VAT: €201.81
    €169.59 Price with VAT: €201.81
    NOVOTECHNIK RFC-4853-636-121-202

    NOVOTECHNIK

    RFC-4853-636-121-202

    HALL EFFECT POSITION SENSOR,PPR CURRENT SIGNAL,1024 PPR
    €198.44 Price with VAT: €236.14 Buy Surplus As Low As €118.49 Price with VAT: €141.00
    €118.49 Price with VAT: €141.00
    NOVOTECHNIK 010016

    NOVOTECHNIK

    010016

    ROTARY SENSOR, NON-CONTACTING, POTENTIOMETER, IP6516A502
    ✓ IN STOCK!
    €346.61 Price with VAT: €412.46 Buy Surplus As Low As €117.41 Price with VAT: €139.72
    €117.41 Price with VAT: €139.72
    NOVOTECHNIK SP2841 345 065 001

    NOVOTECHNIK

    SP2841 345 065 001

    019564, ROTARY SHAFT-TYPE POTENTIOMETER, 345 DEGREES, PUSH-ON SHAFT, IP65
    €190.19 Price with VAT: €226.33 Buy Surplus As Low As €114.65 Price with VAT: €136.43
    €114.65 Price with VAT: €136.43
    NOVOTECHNIK RFC 4853 603 111 201

    NOVOTECHNIK

    RFC 4853 603 111 201

    ROTARY SENSOR, TOUCHLESS, 2-PART, MECHANICALLY DECOUPLED, IP67, IP6K9K
    €186.64 Price with VAT: €222.10 Buy Surplus As Low As €111.98 Price with VAT: €133.26
    €111.98 Price with VAT: €133.26
    NOVOTECHNIK Z-110-G10

    NOVOTECHNIK

    Z-110-G10

    005692, 10MM SHAFT ROTARY COUPLING,
    €176.86 Price with VAT: €210.46 Buy Surplus As Low As €106.65 Price with VAT: €126.91
    €106.65 Price with VAT: €126.91
    NOVOTECHNIK P-2501-A502

    NOVOTECHNIK

    P-2501-A502

    003203, POTENTIOMETER, ROTARY SHAFT
    €284.66 Price with VAT: €338.75 Buy Surplus As Low As €113.14 Price with VAT: €134.64
    €113.14 Price with VAT: €134.64
    NOVOTECHNIK 023262

    NOVOTECHNIK

    023262

    DISCONTINUED BY MANUFACTURER, POSITION TRANSDUCER
    Buy Surplus As Low As €94.21 Price with VAT: €112.11
    €94.21 Price with VAT: €112.11
    NOVOTECHNIK RFC-4801-609-322-256

    NOVOTECHNIK

    RFC-4801-609-322-256

    RFC-4801-609-322-256
    €151.09 Price with VAT: €179.79 Buy Surplus As Low As €90.65 Price with VAT: €107.88
    €90.65 Price with VAT: €107.88
    NOVOTECHNIK 002333

    NOVOTECHNIK

    002333

    PNEUMATIC TRANSDUCER
    €175.08 Price with VAT: €208.35 Buy Surplus As Low As €87.99 Price with VAT: €104.70
    €87.99 Price with VAT: €104.70
    Repair Yours Contact Us
    NOVOTECHNIK 002048

    NOVOTECHNIK

    002048

    LINEAR TRANSDUCER, DOUBLE THREADED ROD, R 5K+/-20%, +/-0.15%
    ✓ IN STOCK!
    €190.45 Price with VAT: €226.63 Buy Surplus As Low As €87.61 Price with VAT: €104.26
    €87.61 Price with VAT: €104.26
    NOVOTECHNIK Z-301-M6/M4

    NOVOTECHNIK

    Z-301-M6/M4

    005679, FLEX SHAFT COUPLING FOR LWH - 4MM THREAD MATING THREAD,
    €139.53 Price with VAT: €166.04 Buy Surplus As Low As €84.43 Price with VAT: €100.47
    €84.43 Price with VAT: €100.47
    NOVOTECHNIK RSC2801-212-411-432

    NOVOTECHNIK

    RSC2801-212-411-432

    HALL EFFECT ROTARY DISPLACEMENT SENSOR
    €216.72 Price with VAT: €257.89 Buy Surplus As Low As €108.36 Price with VAT: €128.95
    €108.36 Price with VAT: €128.95
    NOVOTECHNIK SP2831100002001

    NOVOTECHNIK

    SP2831100002001

    019527, ROTARY SHAFT-TYPE POTENTIOMETER, 100 DEGREES, 6MM SHAFT, 1.0% LIN., IP65
    €190.26 Price with VAT: €226.41 Buy Surplus As Low As €104.62 Price with VAT: €124.50
    €104.62 Price with VAT: €124.50
    Repair Yours Contact Us
    NOVOTECHNIK TLH 130

    NOVOTECHNIK

    TLH 130

    POSITION TRANSDUCER, RANGE: 130MM, STROKE: 132 MM, RESISTANCE: 5 K OHM
    ✓ IN STOCK!
    €347.00 Price with VAT: €412.93 Buy Surplus As Low As €88.48 Price with VAT: €105.29
    €88.48 Price with VAT: €105.29
    NOVOTECHNIK 002311

    NOVOTECHNIK

    002311

    POSITION TRANSDUCER W/RETURN SPRING 25MM STROKE
    Buy Surplus As Low As €103.59 Price with VAT: €123.27
    €103.59 Price with VAT: €123.27
    Repair Yours Contact Us
    NOVOTECHNIK 002385

    NOVOTECHNIK

    002385

    TRANSDUCER LINEAR POSITION SENSOR W/CABLE
    €155.53 Price with VAT: €185.08 Buy Surplus As Low As €78.21 Price with VAT: €93.07
    €78.21 Price with VAT: €93.07
    NOVOTECHNIK 023232

    NOVOTECHNIK

    023232

    TRANSDUCER
    €247.35 Price with VAT: €294.35 Buy Surplus As Low As €76.54 Price with VAT: €91.08
    €76.54 Price with VAT: €91.08
    Repair Yours Contact Us
    2 3 4 5 6 7 8 9 10 11 12